[arch-commits] Commit in mutter/repos/extra-x86_64 (4 files)
Jan Steffens
heftig at archlinux.org
Thu Jan 14 23:41:39 UTC 2021
Date: Thursday, January 14, 2021 @ 23:41:38
Author: heftig
Revision: 406265
archrelease: copy trunk to extra-x86_64
Added:
mutter/repos/extra-x86_64/PKGBUILD
(from rev 406264, mutter/trunk/PKGBUILD)
mutter/repos/extra-x86_64/mutter.install
(from rev 406264, mutter/trunk/mutter.install)
Deleted:
mutter/repos/extra-x86_64/PKGBUILD
mutter/repos/extra-x86_64/mutter.install
----------------+
PKGBUILD | 114 +++++++++++++++++++++++++++----------------------------
mutter.install | 14 +++---
2 files changed, 64 insertions(+), 64 deletions(-)
Deleted: PKGBUILD
===================================================================
--- PKGBUILD 2021-01-14 23:41:25 UTC (rev 406264)
+++ PKGBUILD 2021-01-14 23:41:38 UTC (rev 406265)
@@ -1,57 +0,0 @@
-# Maintainer: Jan Alexander Steffens (heftig) <heftig at archlinux.org>
-# Contributor: Ionut Biru <ibiru at archlinux.org>
-# Contributor: Michael Kanis <mkanis_at_gmx_dot_de>
-
-pkgname=mutter
-pkgver=3.38.2+7+gfbb9a34f2
-pkgrel=1
-pkgdesc="A window manager for GNOME"
-url="https://gitlab.gnome.org/GNOME/mutter"
-arch=(x86_64)
-license=(GPL)
-depends=(dconf gobject-introspection-runtime gsettings-desktop-schemas
- libcanberra startup-notification zenity libsm gnome-desktop upower
- libxkbcommon-x11 gnome-settings-daemon libgudev libinput pipewire
- xorg-xwayland graphene)
-makedepends=(gobject-introspection git egl-wayland meson xorg-server sysprof)
-checkdepends=(xorg-server-xvfb)
-provides=(libmutter-7.so)
-groups=(gnome)
-install=mutter.install
-_commit=fbb9a34f265ddd12ab9996ef18e595fd95b2a92e # gnome-3-38
-source=("git+https://gitlab.gnome.org/GNOME/mutter.git#commit=$_commit")
-sha256sums=('SKIP')
-
-pkgver() {
- cd $pkgname
- git describe --tags | sed 's/-/+/g'
-}
-
-prepare() {
- cd $pkgname
-}
-
-build() {
- CFLAGS="${CFLAGS/-O2/-O3} -fno-semantic-interposition"
- LDFLAGS+=" -Wl,-Bsymbolic-functions"
- arch-meson $pkgname build \
- -D egl_device=true \
- -D wayland_eglstream=true \
- -D installed_tests=false
- meson compile -C build
-}
-
-check() (
- mkdir -p -m 700 "${XDG_RUNTIME_DIR:=$PWD/runtime-dir}"
- glib-compile-schemas "${GSETTINGS_SCHEMA_DIR:=$PWD/build/data}"
- export XDG_RUNTIME_DIR GSETTINGS_SCHEMA_DIR
-
- # Stacking test flaky
- dbus-run-session xvfb-run \
- -s '-screen 0 1920x1080x24 -nolisten local +iglx -noreset' \
- meson test -C build --print-errorlogs || :
-)
-
-package() {
- DESTDIR="$pkgdir" meson install -C build
-}
Copied: mutter/repos/extra-x86_64/PKGBUILD (from rev 406264, mutter/trunk/PKGBUILD)
===================================================================
--- PKGBUILD (rev 0)
+++ PKGBUILD 2021-01-14 23:41:38 UTC (rev 406265)
@@ -0,0 +1,57 @@
+# Maintainer: Jan Alexander Steffens (heftig) <heftig at archlinux.org>
+# Contributor: Ionut Biru <ibiru at archlinux.org>
+# Contributor: Michael Kanis <mkanis_at_gmx_dot_de>
+
+pkgname=mutter
+pkgver=3.38.3
+pkgrel=1
+pkgdesc="A window manager for GNOME"
+url="https://gitlab.gnome.org/GNOME/mutter"
+arch=(x86_64)
+license=(GPL)
+depends=(dconf gobject-introspection-runtime gsettings-desktop-schemas
+ libcanberra startup-notification zenity libsm gnome-desktop upower
+ libxkbcommon-x11 gnome-settings-daemon libgudev libinput pipewire
+ xorg-xwayland graphene)
+makedepends=(gobject-introspection git egl-wayland meson xorg-server sysprof)
+checkdepends=(xorg-server-xvfb)
+provides=(libmutter-7.so)
+groups=(gnome)
+install=mutter.install
+_commit=9f9c26be93ee73e7ce0434d251e4af31626342f9 # tags/3.38.3^0
+source=("git+https://gitlab.gnome.org/GNOME/mutter.git#commit=$_commit")
+sha256sums=('SKIP')
+
+pkgver() {
+ cd $pkgname
+ git describe --tags | sed 's/-/+/g'
+}
+
+prepare() {
+ cd $pkgname
+}
+
+build() {
+ CFLAGS="${CFLAGS/-O2/-O3} -fno-semantic-interposition"
+ LDFLAGS+=" -Wl,-Bsymbolic-functions"
+ arch-meson $pkgname build \
+ -D egl_device=true \
+ -D wayland_eglstream=true \
+ -D installed_tests=false
+ meson compile -C build
+}
+
+check() (
+ mkdir -p -m 700 "${XDG_RUNTIME_DIR:=$PWD/runtime-dir}"
+ glib-compile-schemas "${GSETTINGS_SCHEMA_DIR:=$PWD/build/data}"
+ export XDG_RUNTIME_DIR GSETTINGS_SCHEMA_DIR
+
+ # Stacking test flaky
+ dbus-run-session xvfb-run \
+ -s '-screen 0 1920x1080x24 -nolisten local +iglx -noreset' \
+ meson test -C build --print-errorlogs || :
+)
+
+package() {
+ DESTDIR="$pkgdir" meson install -C build
+}
Deleted: mutter.install
===================================================================
--- mutter.install 2021-01-14 23:41:25 UTC (rev 406264)
+++ mutter.install 2021-01-14 23:41:38 UTC (rev 406265)
@@ -1,7 +0,0 @@
-post_install() {
- setcap cap_sys_nice+ep usr/bin/mutter
-}
-
-post_upgrade() {
- post_install
-}
Copied: mutter/repos/extra-x86_64/mutter.install (from rev 406264, mutter/trunk/mutter.install)
===================================================================
--- mutter.install (rev 0)
+++ mutter.install 2021-01-14 23:41:38 UTC (rev 406265)
@@ -0,0 +1,7 @@
+post_install() {
+ setcap cap_sys_nice+ep usr/bin/mutter
+}
+
+post_upgrade() {
+ post_install
+}
More information about the arch-commits
mailing list